function go_facture(NoCommande, NoClient, SousType) {
  window.opener.location =
    "default.php?Type=4&Sous_Type=" +
    SousType +
    "&Etape=3&New=0&NoCommande=" +
    NoCommande +
    "&NoClient=" +
    NoClient;
  window.close();
}
function valide_suppresion() {
  if (confirm("Voulez-vous vraiment supprimer cette fiche atelier ?")) {
    this.document.infodel.submit();
  }
}
function imprimer_atelier() {
  if (this.document.info.Telephone.value.length == 0) {
    if (!confirm("Manque no de téléphone")) {
      return;
    }
  }
  if (this.document.info.Date.value.length == 0) {
    alert("Vous devez rentrer une date");
    return;
  }
  if (this.document.info.Temps.value == 0) {
    alert("Vous devez rentrer un temps de travail");
    return;
  }
  if (this.document.info.Reception.value.length == 0) {
    alert("Vous devez rentrer un réceptionaire");
    return;
  }
  this.document.info.pri.value = 1;
  this.document.info.submit();
}
function imprimer_entete() {
  //alert("toto");
  if (this.document.info.Temps.value == 0) {
    alert("Vous devez rentrer un temps de travail");
    return;
  }
  if (this.document.info.Reception.value.length == 0) {
    alert("Vous devez rentrer un réceptionaire");
    return;
  }
  this.document.info.prientete.value = 1;
  this.document.info.submit();
}
function imprimer_entete2() {
  //alert("toto");
  if (this.document.info.Temps.value == 0) {
    alert("Vous devez rentrer un temps de travail");
    return;
  }
  if (this.document.info.Reception.value.length == 0) {
    alert("Vous devez rentrer un réceptionaire");
    return;
  }
  this.document.info.prientete2.value = 1;
  this.document.info.submit();
}
function reception_imprimer_atelier() {
  if (this.document.info.Telephone.value.length == 0) {
    if (!confirm("Manque no de téléphone")) {
      return;
    }
  }
  if (this.document.info.Date.value.length == 0) {
    alert("Vous devez rentrer une date");
    return;
  }
  if (this.document.info.Temps.value == 0) {
    alert("Vous devez rentrer un temps de travail");
    return;
  }
  if (this.document.info.Reception.value.length == 0) {
    alert("Vous devez rentrer un réceptionaire");
    return;
  }
  if (this.document.info.etape.value == 0) {
    this.document.info.etape.value = 1;
    this.document.info.pri.value = 1;
    this.document.info.submit();
  } else {
    this.document.info.pri.value = 1;
    this.document.info.submit();
  }
}
function valider_atelier() {
  if (this.document.info.Telephone.value.length == 0) {
    if (!confirm("Manque no de téléphone")) {
      return;
    }
  }
  if (this.document.info.Date.value.length == 0) {
    alert("Vous devez rentrer une date");
    return;
  }
  if (this.document.info.Temps.value == 0) {
    alert("Vous devez rentrer un temps de travail");
    return;
  }
  if (this.document.info.Reception.value.length == 0) {
    alert("Vous devez rentrer un réceptionaire");
    return;
  }
  this.document.info.submit();
}
function valider_web() {
  if (this.document.info.Telephone.value.length == 0) {
    if (!confirm("Manque no de téléphone")) {
      return;
    }
  }
  if (this.document.info.Date.value.length == 0) {
    alert("Vous devez rentrer une date");
    return;
  }
  if (this.document.info.Temps.value == 0) {
    alert("Vous devez rentrer un temps de travail");
    return;
  }
  this.document.info.submit();
}
function refuser_web() {
  this.document.info.web.value = 0;
  this.document.info.submit();
}
function reception_atelier() {
  if (this.document.info.Telephone.value.length == 0) {
    if (!confirm("Manque no de téléphone")) {
      return;
    }
  }
  if (this.document.info.Date.value.length == 0) {
    alert("Vous devez rentrer une date");
    return;
  }
  if (this.document.info.Temps.value == 0) {
    alert("Vous devez rentrer un temps de travail");
    return;
  }
  if (this.document.info.etape.value == 0) {
    this.document.info.etape.value = 1;
  }
  this.document.info.submit();
}
function facture(fact) {
  if (this.document.info.Telephone.value.length == 0) {
    if (!confirm("Manque no de téléphone")) {
      return;
    }
  }
  if (this.document.info.Date.value.length == 0) {
    alert("Vous devez rentrer une date");
    return;
  }
  if (this.document.info.Temps.value == 0) {
    alert("Vous devez rentrer un temps de travail");
    return;
  }
  if (this.document.info.NoClient.value.length == 0) {
    alert("vous devez absolument avoir le NoClient pour créer un facture");
  } else {
    if (fact != 0) {
      this.document.info.fact.value = fact;
      this.document.info.etape.value = 2;
      if (fact == 6)
        this.document.info.NoCommande.value =
          this.document.info.NoCommande2.value;
      this.document.info.submit();
    } else {
      this.document.info.etape.value = 3;
      this.document.info.submit();
    }
  }
}
function recherche_client() {
  Nom = document.info.elements["Nom"].value;
  Prenom = document.info.elements["Prenom"].value;
  if (Nom.length == 0 && Prenom.length == 0) {
    alert("Vous devez rentrer un nom ou un prénom");
  } else {
    window.open(
      "recherche_client_old.php?Nom=" + Nom + "&Prenom=" + Prenom + "&Mode=2",
      "",
      "top=0, left=0, width=10, height=10, resizable=yes, toolbar=no, scrollbars=yes, status=no"
    );
  }
}
function recherche_vhc() {
  NoClient = document.info.elements["NoClient"].value;
  if (NoClient.length != 0) {
    window.open(
      "recherche_vhc_old.php?NoClient=" + NoClient + "&Mode=0",
      "",
      "top=0, left=0, width=10, height=10, resizable=yes, toolbar=no, scrollbars=yes, status=no"
    );
  } else {
    alert("Vous devez en premier trouver le no de client");
  }
}
function efface_vhc() {
  this.document.info.NoChasis.value = "";
  this.document.info.Vehicule.value = "";
  this.document.info.Km.value = "";
  this.document.info.vhc.value = "0";
  this.document.info.service.options.length = 1;
  this.document.info.service.selectedIndex = 0;
  $("#serviceoptions").html("");
}
function duree_service() {
  current_value =
    document.forms["info"].service.options[
      document.forms["info"].service.selectedIndex
    ].value;
  var duree = 0;
  if (!isNaN(document.tab_duree[current_value])) {
    duree = parseFloat(document.tab_duree[current_value]);
  }
  $("#serviceoptions input:checked").each(function () {
    duree += parseFloat($(this).attr("duree"));
  });
  document.forms["info"].Temps.value = duree;
}
function add_service_option(value, text, duree) {
  var o = new Option(text, value);
  document.forms["info"].service.options[
    document.forms["info"].service.options.length
  ] = o;
  document.tab_duree[value] = duree;
}
function add_service_option_item(value, text, duree) {
  $("#serviceoptions").append(
    '<input type="checkbox" name="option_' +
      value +
      '" onchange="duree_service()" duree="' +
      duree +
      '" />' +
      text +
      "<br />"
  );
}
document.tab_duree = new Array();
